
import random
from authlib.integrations.flask_client import OAuth
from authlib.integrations.oauth2_client import OAuth2Session
from authlib.oauth2 import OAuth2Token

def create_oauth_session(client_id, client_secret, authorization_endpoint, token_endpoint):
    """
    This function creates an OAuth2 session using the provided client credentials and endpoints.
    """
    oauth = OAuth(client_id=client_id, client_secret=client_secret)
    session = OAuth2Session(client=oauth)
    token = session.fetch_token(token_endpoint=token_endpoint)
    return session

